SDL_HintWatch Struct Reference
Collaboration diagram for SDL_HintWatch:
[legend]

## Data Fields

SDL_HintCallback | callback
void * | userdata
struct SDL_HintWatch * | next

## Detailed Description

Definition at line 30 of file SDL_hints.c.

## Field Documentation

SDL_HintCallback SDL_HintWatch::callback

Definition at line 31 of file SDL_hints.c.

Referenced by SDL_AddHintCallback(), SDL_DelHintCallback(), and SDL_SetHintWithPriority().

struct SDL_HintWatch* SDL_HintWatch::next

Definition at line 33 of file SDL_hints.c.

Referenced by SDL_AddHintCallback(), SDL_ClearHints(), SDL_DelHintCallback(), and SDL_SetHintWithPriority().

void* SDL_HintWatch::userdata

Definition at line 32 of file SDL_hints.c.

Referenced by SDL_AddHintCallback(), SDL_DelHintCallback(), and SDL_SetHintWithPriority().

The documentation for this struct was generated from the following file:

- src/SDL_hints.c